Show / Hide Table of Contents

# Class FlyTextGuiAddressResolver

An address resolver for the FlyTextGui class.

##### Inheritance

System.Object
BaseAddressResolver
FlyTextGuiAddressResolver

##### Inherited Members

BaseAddressResolver.DebugScannedValues
BaseAddressResolver.IsResolved
BaseAddressResolver.Setup()
BaseAddressResolver.Setup(SigScanner)
BaseAddressResolver.GetVirtualFunction<T>(IntPtr, Int32, Int32)
BaseAddressResolver.Setup32Bit(SigScanner)
BaseAddressResolver.SetupInternal(SigScanner)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.FlyText

###### Assembly: Dalamud.dll

##### Syntax

    public class FlyTextGuiAddressResolver : BaseAddressResolver

### Properties

| Improve this Doc View Source

#### AddFlyText

Gets the address of the native AddFlyText method, which occurs when the game adds fly text elements to the UI. Multiple fly text elements can be added in a single AddFlyText call.

##### Declaration

    public IntPtr AddFlyText { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### CreateFlyText

Gets the address of the native CreateFlyText method, which occurs when the game creates a new fly text element. This method is called once per fly text element, and can be called multiple times per AddFlyText call.

##### Declaration

    public IntPtr CreateFlyText { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

Setup the resolver by finding any necessary memory addresses.

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig |

##### Overrides

BaseAddressResolver.Setup64Bit(SigScanner)